package credential

import "encoding/json"

type UnixCredential struct {
	Credential

	User                   string      `json:"user,omitempty"`
	LoginType              string      `json:"loginType,omitempty"`
	Password               string      `json:"password,omitempty"`
	PrivateKey             string      `json:"privateKey,omitempty"`
	SSHPort                json.Number `json:"sshPort,Number,omitempty"`
	SSHRightsElevationType string      `json:"sshRightsElevationType,omitempty"`
	TargetUser             string      `json:"targetUser,omitempty"`
	TargetUserPassword     string      `json:"targetUserPassword,omitempty"`
}
