package discovery

import (
	"git.loafle.net/overflow/model/meta"
	"git.loafle.net/overflow/model/util"
)

type Host struct {
	MetaIPType *meta.MetaIPType  `json:"metaIPType,omitempty"`
	Name       string            `json:"name,omitempty"`
	Address    string            `json:"address,omitempty"`
	Mac        string            `json:"mac,omitempty"`
	Meta       map[string]string `json:"meta,omitempty"`

	Zone     *Zone   `json:"zone,omitempty"`
	PortList []*Port `json:"portList,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
}
